function E0090()
    MNA()CMU("CS_Jenka")FAI(0)
end
function E0091()
    MNA()CMU("CS_Jenka")FAI(1)
end
function E0092()
    MNA()CMU("CS_Jenka")FAI(2)
end
function E0093()
    MNA()CMU("CS_Jenka")FAI(3)
end
function E0094()
    MNA()CMU("CS_Jenka")FAI(4)
end

function Door_GoJenkaHouseAround()
    PRI()MM0()SOU("CS_011_door")ANP("Door_GoJenkaHouseAround",0,1)FAO(2)TRA("CS_jenka_house_around","E0090",12,14)
end

function Jenka1()
    if(FLJ("CarriedPuppy")) then
        KEY()FAC("jenka_normal")MS4("没有米莎莉的帮助一般人也到不了这，")NOD()
        CAT("\n你的事情很急的话就快点去吧。")NOD()
    else
        KEY()FAC("jenka_normal")MS4("这里好久没有人来过了呢...")NOD()
        CAT("\n所以你找我有什么事？")NOD()CLR()
        GIT("TorokoNecklace")
        FAC("jack_normal")CAT("您可以帮我看看这件物品的主人在哪吗？")NOD()
        CAT("\n她现在被怪物抓走了，")NOD()
        CAT("\n我们得去救她。")NOD()CLR()
        GIT()
        FAC("jenka_normal")CAT("\n原来是找人啊。")NOD()CLR()
        CAT("你问问我的狗狗们，")NOD()
        CAT("\n哪只有兴趣陪你去好了。")NOD()CLO()
        CNP("Puppy2","CS_puppy_barking",0,0)
        WAI(32)
        AMC("normal",1)
        WAI(32)
        CNP("Puppy2","CS_puppy_sitting",0,0)
        FAC("jenka_normal")MS4("看样子米克这个孩子愿意协助你，")NOD()
        CAT("\n你就带它一起去吧。")NOD()CLR()
        FAC("jack_normal")CAT("\n谢谢婆婆！")NOD()CLO()
        FAO(2)
        --背上了小狗
        if(PLY() == MCI("CS_mychar_jack")) then
            --杰克背
            FLP("CarriedPuppy_Jack")
        else
            --桑塔背
            FLP("CarriedPuppy_Santa")
        end
        GIT("Mick")
        ITP("Mick")
        SOU("CS_038_get_item")
        FLP("CarriedPuppy")
        MS3("带上了米克。")NOD()CLO()
        GIT()
        MSD("GoFindJenka")
        TRA("CS_jenka_house","E0090",16,15)
    end
end

function Puppy1()
    KEY()MS4("\n汪！")NOD()
end

function Puppy2()
    KEY()MS4("\n汪汪！")NOD()
end

function Puppy3()
    KEY()MS4("\n汪！")NOD()
end

function Puppy4()
    KEY()MS4("\n汪！")NOD()
end

function Puppy5()
    KEY()MS4("\nｚｚｚｚ...")NOD()
end